ImportError: No module named sip
2014-09-11 01:15 PM - Sylvain Hellegouarch

Status: Closed

Priority: Normal

Assignee:

Category:

Affected QGIS version:2.4.0 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 19500
Description

Hi all,

I'm running QGIS 2.4.0 on Ubuntu trusty but the Python support is missing due to the following error:

Traceback (most recent call last):
File™, line 1,in
ImportError: No module named sip

Version de Python :
2.7.6 (default, Mar 22 2014, 23:03:41)
[GCC 4.8.2]

Version de QGIS :
2.4.0-Chugiak 'Chugiak’, exported

Chemin vers Python :
['/usr/share/qgis/python’, u'/home/sylvain/.qgis2/python’, u'/home/sylvain/.qgis2/python/plugins', '/usr/share/qgis/python/plugins’,
'Jusr/local/lib/python2.7', '/usr/local/lib/python2.7/plat-x86_64-linux-gnu', ‘/usr/local/lib/python2.7/lib-tk',
'lusr/local/lib/python2.7/lib-old', '/usr/local/lib/python2.7/lib-dynload’, '/usr/local/lib/python2.7/site-packages']

| have installed the stock Python and sip packages:

python:amd64/trusty 2.7.5-5ubuntu3 uptodate

python2.7-dev:amd64/trusty 2.7.6-8 uptodate

python-dev:amd64/trusty 2.7.5-5ubuntu3 uptodate

python-sip:amd64/trusty 4.15.5-1build1 uptodate

It appears there has been a change in the sip API since 4.15 and it breaks python-qgis.

| tried to recompile the whole chain but that failed miserable as well :(

| assume this is related to https://bugs.launchpad.net/ubuntu/+source/qgis/+bug/1103458

I'm tracing it here so that other folks may see what will happen to this issue. As it stands, most plugins are unusable unfortunately.

History
https://bugs.launchpad.net/ubuntu/+source/qgis/+bug/1103458

#1 - 2014-09-16 12:48 PM - Sylvain Hellegouarch
- Status changed from Open to Closed

Well, | reinstalled Ubuntu trusty entirely and used the official repositories from the QGis website again... and it worked well this time. | must have had some
dependencie issues.
